// priority: 0

console.info('Registering Transitional Items for Sequenced Assembly)')

onEvent('item.registry', event => {
	// Register new items here
	// event.create('example_item').displayName('Example Item')
	
	//Storage Parts
	
	event.create('incomplete_1k_storage_part').displayName('Incomplete 1k Storage Part')
	event.create('incomplete_4k_storage_part').displayName('Incomplete 4k Storage Part')
	event.create('incomplete_16k_storage_part').displayName('Incomplete 16k Storage Part')
	event.create('incomplete_64k_storage_part').displayName('Incomplete 64k Storage Part')
	
	//Fluid Storage Parts
	
	event.create('incomplete_64k_fluid_storage_part').displayName('Incomplete 64k Fluid Storage Part')
	event.create('incomplete_256k_fluid_storage_part').displayName('Incomplete 256k Fluid Storage Part')
	event.create('incomplete_1024k_fluid_storage_part').displayName('Incomplete 1024k Fluid Storage Part')
	event.create('incomplete_4096k_fluid_storage_part').displayName('Incomplete 4096k Fluid Storage Part')
	
	//Cable
	event.create('incomplete_cable').displayName('Incomplete Cable')
	
})

onEvent('block.registry', event => {
	// Register new blocks here
	// event.create('example_block').material('wood').hardness(1.0).displayName('Example Block')
})